Upstream information

CVE-2007-3781 at MITRE

Description

MySQL Community Server before 5.0.45 does not require privileges such as SELECT for the source table in a CREATE TABLE LIKE statement, which allows remote authenticated users to obtain sensitive information such as the table structure.

SUSE information

Overall state of this security issue: Ignore

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4
Vector AV:N/AC:L/Au:S/C:P/I:N/A:N
Access Vector Network
Access Complexity Low
Authentication Single
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
SUSE Bugzilla entries: 292994 [RESOLVED / FIXED], 604528 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE LINUX 10.1
  • mysql >= 5.0.26-12.13
  • mysql-Max >= 5.0.26-12.13
  • mysql-bench >= 5.0.26-12.13
  • mysql-client >= 5.0.26-12.13
  • mysql-devel >= 5.0.26-12.13
  • mysql-shared >= 5.0.26-12.13
  • mysql-shared-32bit >= 5.0.26-12.13
  • mysql-shared-64bit >= 5.0.26-12.13